<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPartyCategoryTypeLabel" jhiTranslate="mpmApp.partyCategoryType.home.createOrEditLabel">Create or edit a Party Category Type</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!partyCategoryType.idCategoryType">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="partyCategoryType.idCategoryType" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyCategoryType.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="partyCategoryType.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyCategoryType.refKey" for="field_refKey">Ref Key</label>
                    <input type="text" class="form-control" name="refKey" id="field_refKey"
                        [(ngModel)]="partyCategoryType.refKey" />
                </div>

                <div class="form-group" *ngIf="idParent === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyCategoryType.parent" for="field_parent">Parent</label>
                    <select class="form-control" id="field_parent" name="parent" [(ngModel)]="partyCategoryType.parentId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="partyCategoryTypeOption.idCategoryType" *ngFor="let partyCategoryTypeOption of partycategorytypes; trackBy: trackPartyCategoryTypeById">{{partyCategoryTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
